## START: Set by rpmautospec
## (rpmautospec version 0.6.0)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Quite a few tests require network. To run them locally use
# `fedpkg mockbuild --enable-network --with network`
%bcond network 0

Name:           python-pooch
Version:        1.8.2
Release:        %autorelease
Summary:        A friend to fetch your data files

%global forgeurl https://github.com/fatiando/pooch
%forgemeta

License:        BSD-3-Clause
URL:            https://www.fatiando.org/pooch
Source:         %forgesource
# Include `tests/data/` in wheel
# https://github.com/fatiando/pooch/pull/421
Patch:          https://github.com/fatiando/pooch/pull/421.patch
# Exclude `doc/` from wheel
# https://github.com/fatiando/pooch/pull/423
Patch:          https://github.com/fatiando/pooch/pull/423.patch

BuildArch:      noarch
BuildRequires:  python3-devel

%global _description %{expand:
Pooch manages your Python library's sample data files: 
it automatically downloads and stores them in a local directory, 
with support for versioning and corruption checks.}

%description %_description


%package -n python3-pooch
Summary:        %{summary}

%description -n python3-pooch %_description


%prep
%forgeautosetup -p1

# Remove coverage dependencies
# Remove `localftpserver` (not yet available)
sed -i \
  -e '/cov/ d' \
  -e '/localftpserver/ d' \
  env/requirements-test.txt


%generate_buildrequires
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_buildrequires -x progress,xxhash%{?network:,sftp} env/requirements-test.txt


%build
export SETUPTOOLS_SCM_PRETEND_VERSION=%{version}
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files -l pooch


%check
# requires pytest-localftpserver which is not currently packaged in Fedora
k="${k-}${k+ and }not ftp_downloader"
k="${k-}${k+ and }not downloader_progressbar_ftp"
k="${k-}${k+ and }not test_check_availability_on_ftp"
%pytest -v ${k+-k }"${k-}" %{?!network:-m 'not network'}


%files -n python3-pooch -f %{pyproject_files}
%doc README.md CITATION.* AUTHORS.md


%changelog
## START: Generated by rpmautospec
* Wed Jun 12 2024 Packit <hello@packit.dev> - 1.8.2-1
- Update to 1.8.2 upstream release
- Resolves: rhbz#2290743

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.8.1-6
- Rebuilt for Python 3.13

* Fri May 17 2024 Sandro <devel@penguinpee.nl> - 1.8.1-2
- Add Packit config

* Fri May 17 2024 Sandro <devel@penguinpee.nl> - 1.8.1-1
- Update to 1.8.1
- Use upstreamed patch (now applies cleanly)
- Handle test dependencies using extras
- Fix %%doc file list

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Thu Oct 19 2023 Miroslav Suchý <msuchy@redhat.com> - 1.5.2-13
- migrate to SPDX license

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 1.5.2-11
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 1.5.2-8
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 1.5.2-6
- initial import to src.fp.o

* Sat Jan 08 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 1.5.2-5
- added buildRequirement pytest even without network access

* Sat Jan 08 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 1.5.2-4
- Minor tweaks

* Sat Jan 08 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.5.2-3
- feat: remove duplicate files

* Sat Jan 08 2022 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 1.5.2-2
- feat: set up for network dependent tests

* Sat Jan 08 2022 Vanessa_kris <vanessaigwe1@gmail.com> - 1.5.2-1
- initial build
## END: Generated by rpmautospec
